# TODO:
# - http://linux.kompiliert.net/contrib/DeepBlue.skin-recordinginfo.diff
# - where has DeepBlue gone?
# - manage symlinks with alternatives?

%define vardir    %(vdr-config --vardir    2>/dev/null || echo ERROR)
%define datadir   %(vdr-config --datadir   2>/dev/null || echo ERROR)
%define vdr_group %(vdr-config --group     2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user      2>/dev/null || echo ERROR)

Name:           vdr-skins
Version:        20061119
Release:        3
Summary:        Collection of OSD skins for VDR

Group:          Applications/Multimedia
License:        GPL+

# Non-linked tarballs prepared with source99

# http://home.arcor.de/bjoern.sturzrehm/vdr/
Source0:        http://home.arcor.de/bjoern.sturzrehm/vdr/SilverGreen-0.1.7.tar.bz2
# http://skins.vdr-developer.org/
Source1:        izegrey16-1.0-20050304-nologos.tar.bz2
# http://home.pages.at/brougs78/
# http://ventoso.org/luca/vdr/
Source2:        vdrskin-enigma-0.3a-nologos.tar.bz2
# http://vdr.pfroen.de/
# http://www.netholic.com/viewtopic.php?t=1464
Source3:        DeepBlue-0.1.4-nologos.tar.bz2
# http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/
Source4:        vdrskin-enElchi-0.7.1-nologos.tar.bz2
# http://www.fdm-ware.de/vdrskin/
# http://linux.kompiliert.net/contrib/
Source5:        Aluminium-1.0-demo-nologos.tar.bz2
# http://linux.kompiliert.net/contrib/
Source6:        http://linux.kompiliert.net/contrib/EgalSimple-1.0-demo.tar.bz2
# http://www.vdrskins.org/vdrskins/thumbnails.php?album=58
Source8:        http://web.archive.org/web/20060322201106/http://www.magoa.net/sttng-blue.theme
Source99:       %{name}-prepare-tarballs.sh

Patch0:         %{name}-aluminium-i18n.patch
Patch1:         %{name}-egalsimple-i18n.patch
Patch2:         %{name}-izegrey16-i18n.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  vdr-devel
Requires:       vdr-text2skin >= 1.1
Requires:       vdr >= 1.4.6-2
Requires:       dejavu-lgc-fonts

%description
This package contains a collection of skins for VDR's on-screen display.


%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6
find . -type d -exec chmod 755 {} ';'
find . -type f -exec chmod 644 {} ';'
find . -type d -name CVS* | xargs rm -r
sed -i -e 's/\r//g' SilverGreen/{HISTORY,README,SilverGreen.trans}
for f in DeepBlue/HISTORY enElchi/HISTORY Enigma/TODO \
    SilverGreen/{HISTORY,README*}; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done
%patch0
%patch1
%patch2

SKINS=$(find * -maxdepth 0 -type d)

mv DeepBlue/COPYING .
for s in $SKINS ; do
    for f in COPYING HISTORY README README.DE TODO ; do
       [ -f $s/$f ] && mv $s/$f $f.$s
    done
done

find . -type f -name "*.theme" -exec mv {} . ';'
for s in $SKINS ; do
    [ -f $s-default.theme ] || touch $s-default.theme
done

ln -sf mp3.png Aluminium/replay/mp3oss.png
rm Aluminium/{Aluminium.skin.*,MERKEN}

cd DeepBlue
mv images images-normal
ln -s images-normal images
mv logos logos-normal
ln -s logos-normal logos
cd ..

rm -r EgalSimple/{EgalSimple.skin.*,themes}

cd Enigma
rm -r themes
ln -sf %{_datadir}/fonts/dejavu-lgc/DejaVuLGCSansMono.ttf FontMonoSpaced.ttf
find . -type f -iname thumbs.db | xargs rm
mv icons icons-dxr3
ln -s icons-normal icons
cd ..

rm -rf enElchi/themes

sed -i \
    -e 's|Vera\.ttf|%{_datadir}/fonts/dejavu-lgc/DejaVuLGCSans.ttf|g' \
    -e 's|VeraBd\.ttf|%{_datadir}/fonts/dejavu-lgc/DejaVuLGCSans-Bold.ttf|g' \
    izegrey16/izegrey16.skin


%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{vardir}/themes
install -pm 644 *.theme %{SOURCE8} $RPM_BUILD_ROOT%{vardir}/themes/
echo "%%defattr(-,%{vdr_user},%{vdr_group},-)" > %{name}.themes
find $RPM_BUILD_ROOT%{vardir}/themes -name "*.theme" -size 0 \
    -printf "%%%%ghost %%p\n" >> %{name}.themes
find $RPM_BUILD_ROOT%{vardir}/themes -name "*.theme" ! -size 0 \
    -print >> %{name}.themes
%{__perl} -pi -e "s|$RPM_BUILD_ROOT||" %{name}.themes

install -dm 755 $RPM_BUILD_ROOT%{datadir}/text2skin
cp -pR $(find * -maxdepth 0 -type d) $RPM_BUILD_ROOT%{datadir}/text2skin/


%clean
rm -rf $RPM_BUILD_ROOT


%triggerin -- vdr-dxr3
for l in DeepBlue/{images,logos} enElchi/logos Enigma/icons ; do
    [ -L %{datadir}/text2skin/$l -o ! -e %{datadir}/text2skin/$l ] && \
    rm -f %{datadir}/text2skin/$l && \
    ln -s $(basename $l)-dxr3 %{datadir}/text2skin/$l || :
done

%triggerun -- vdr-dxr3
if [ $2 -eq 0 ] ; then
    for l in DeepBlue/{images,logos} enElchi/logos Enigma/icons ; do
        [ -L %{datadir}/text2skin/$l -o ! -e %{datadir}/text2skin/$l ] && \
        rm -f %{datadir}/text2skin/$l && \
        ln -s $(basename $l)-normal %{datadir}/text2skin/$l || :
    done
fi


%files -f %{name}.themes
%defattr(-,root,root,-)
%doc COPYING* HISTORY.* README.*

%{datadir}/text2skin/Aluminium/

%dir %{datadir}/text2skin/DeepBlue/
%{datadir}/text2skin/DeepBlue/DeepBlue.*
%{datadir}/text2skin/DeepBlue/images-*
%verify(not link) %{datadir}/text2skin/DeepBlue/images
%{datadir}/text2skin/DeepBlue/logos-*
%verify(not link) %{datadir}/text2skin/DeepBlue/logos

%{datadir}/text2skin/EgalSimple/

%dir %{datadir}/text2skin/enElchi/
%{datadir}/text2skin/enElchi/enElchi*
%verify(not link) %{datadir}/text2skin/enElchi/logos
%{datadir}/text2skin/enElchi/logos-*/
%{datadir}/text2skin/enElchi/symbols/

%dir %{datadir}/text2skin/Enigma/
%{datadir}/text2skin/Enigma/Enigma*
%{datadir}/text2skin/Enigma/Font*
%{datadir}/text2skin/Enigma/fonts/
%{datadir}/text2skin/Enigma/hqlogos/
%{datadir}/text2skin/Enigma/icons-*/
%verify(not link) %{datadir}/text2skin/Enigma/icons
%{datadir}/text2skin/Enigma/pics/
%{datadir}/text2skin/Enigma/symbols/

%{datadir}/text2skin/izegrey16/

%{datadir}/text2skin/SilverGreen/


%changelog
* Fri Aug 10 2007 Ville Skyttä <ville.skytta at iki.fi> - 20061119-3
- Use DejaVu LGC fonts instead of Bitstream Vera.
- License: GPL+

* Mon Apr 23 2007 Ville Skyttä <ville.skytta at iki.fi> - 20061119-2
- Relocate themes to /var/lib/vdr/themes, drop disttag (#216355).
- Drop file based dependency on /usr/share/vdr/text2skin.
- Fix sttng-blue source URL.

* Sun Nov 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 20061119-1
- Install skins to /usr/share/vdr/text2skin.
- Don't ship channel logos.

* Sun Sep 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 20060924-1
- Add DXR3 compatible image set for DeepBlue from cccache.

* Sun May 21 2006 Ville Skyttä <ville.skytta at iki.fi> - 20060311-2
- Fix some enElchi logos.
